#include "trayicon.h"

#include <qlabel.h>
#include <qcursor.h>


#include <qapplication.h>
#include "debug.h"

class TrayIconPrivate : public QLabel
{
    Q_OBJECT

public:
   TrayIconPrivate( QWidget* parent, const char* name = "TrayIconPrivate-Instance", WFlags f=0 ) : QLabel(parent,name,f)
    {
	}

    TrayIconPrivate( TrayIcon *object ) : QLabel(0,0,0)
    {
    	iconObject = object;
	setFixedWidth(20);
	setFixedHeight(20);
	setScaledContents(true);
//	setMouseTracking(true);
    }

    ~TrayIconPrivate()
    {

    }

protected:
    virtual void mouseReleaseEvent(QMouseEvent *e)
    {
	//xDebug("EVENT!");
	//QPoint gpos = QCursor::pos();
	//QMouseEvent *ne = new QMouseEvent( QEvent::MouseButtonRelease, mapFromGlobal( gpos ), gpos, e->button(), e->state() );
	QApplication::sendEvent( iconObject, e );
    }

    virtual void mouseDoubleClickEvent(QMouseEvent *e)
    {
	//xDebug("EVENT!");
	//QPoint gpos = QCursor::pos();
	//QMouseEvent *ne = new QMouseEvent( QEvent::MouseButtonRelease, mapFromGlobal( gpos ), gpos, e->button(), e->state() );
	QApplication::sendEvent( iconObject, e );
    }

    TrayIcon		*iconObject;
 };

