// XInterface.h: interface for the XInterface class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XINTERFACE_H__AD976AF9_6E02_4B73_A138_BFC50D269D0B__INCLUDED_)
#define AFX_XINTERFACE_H__AD976AF9_6E02_4B73_A138_BFC50D269D0B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <qhostaddress.h>

class XInterface
{
public:
	bool setInterfaceIPv4Configuration(int address, int netmask, int broadcast, bool is_loopback, bool is_pointToPoint, bool is_broadcast, bool is_multicast);
	QHostAddress* getBroadcast();
	QHostAddress* getAddress();
	bool isPointToPoint();
	bool isLoopback();
	bool isBroadcast();
	XInterface();
	XInterface(int address, int netmask, int broadcast, bool is_loopback, bool is_pointToPoint, bool is_broadcast, bool is_multicast);
	virtual ~XInterface();

private:
	bool is_broadcast;
	bool is_pointToPoint;
	bool is_multicast;
	bool is_loopback;
	QHostAddress address;
	QHostAddress netmask;
	QHostAddress broadcast;
};

#endif // !defined(AFX_XINTERFACE_H__AD976AF9_6E02_4B73_A138_BFC50D269D0B__INCLUDED_)
